
// 个人相关接口

const api = {
	// 充值
	recharge: {
		url: '/rice_info/recharge',
		method: 'GET',
		auth : true,
		limit : 1000,
		showLoading : true,
	},
	// 提现
	withdraw: {
		url: '/rice_info/withdraw',
		method: 'GET',
		auth : true,
		limit : 1000,
		showLoading : true,
	},
	// 获取地址列表带分页
	getAddressPageList: {
		url: '/rice_info/getAddressPageList',
		method: 'GET',
		auth : true,
	},
	// 增加或修改地址信息
	addOrUpdateAddress: {
		url: '/rice_info/addOrUpdateAddress',
		method: 'POST',
		limit : 500,
		auth : true,
		showLoading : true,
	},
	// 删除地址
	deleteAddress: {
		url: '/rice_info/deleteAddress',
		method: 'GET',
		limit : 500,
		auth : true,
		showLoading : true,
	},
	// 修改默认地址
	updateDefaultAddress: {
		url: '/rice_info/updateDefaultAddress',
		method: 'GET',
		auth : true,
		limit : 1000,
	},
	// 获取粉丝列表带分页
	getFansPageList: {
		url: '/rice_info/getFansPageList',
		method: 'GET',
		auth : true,
	},
	// 获取相关介绍
	getInfoIntroduce: {
		url: '/rice_info/getInfoIntroduce',
		method: 'GET',
		auth : true,
	},
	// 获取个人邀请码
	getInviteCode: {
		url: '/rice_info/getInviteCode',
		method: 'GET',
		auth : true,
	},
	// 获取订单列表带分页
	getOrderPageList: {
		url: '/rice_info/getOrderPageList',
		method: 'GET',
		auth : true,
	},
	// 获取订单详情
	getOrderDetail: {
		url: '/rice_info/getOrderDetail',
		method: 'GET',
		auth : true,
	},
	// 获取流水记录带分页
	getWaterPageList: {
		url: '/rice_info/getWaterPageList',
		method: 'GET',
		auth : true,
	},
	// 获取相关介绍
	getInfoIntroduce: {
		url: '/rice_info/getInfoIntroduce',
		method: 'GET',
	},
	// 获取相关介绍详情
	getInfoIntroduceDetail: {
		url: '/rice_info/getRiceNewsDetail',
		method: 'GET',
	},
	// 查询个人信息相关
	getRiceInfo: {
		url: '/rice_info/getRiceInfo',
		method: 'GET',
	},
	// 获取购物车信息列表带分页
	getCartPageList: {
		url: '/rice_info/getCartPageList',
		method: 'GET',
	},
	// 增加或者修改渠道申请信息
	addOrUpdateCommonUser: {
		url: '/rice_info/addOrUpdateCommonUser',
		method: 'POST',
		limit : 500,
		auth : true,
		showLoading : true,
	},
	// 查询渠道申请信息
	getCommonUser: {
		url: '/rice_info/getCommonUser',
		method: 'GET',
		limit : 500,
		auth : true,
		showLoading : true,
	},
	// 获取国籍
	nationalityPageList: {
		url: '/info_common/getNationalityPageList',
		method: 'GET',
		auth: false,
	},
	// 获取学院
	labelPageList: {
		url: '/info_common/getLabelPageList',
		method: 'GET',
		auth: false,
	},
}

export default api